
Redmine - Defect #639

EMail notification of updated depend issues have bad links

2008-02-12 17:45 - Thomas Lecavelier

Status: Closed Start date: 2008-02-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

I just receive an email notification of #443, which was declared dup of #556. In the notification mail, the URL linked to #556 was 

http://issues/show/556 instead of http://*www.redmine.org/projects/redmine/**issues/show/556

It's a view problem :)

Related issues:

Is duplicate of Redmine - Defect #201: Bug in email report: missing host name... Closed

Associated revisions

Revision 1161 - 2008-02-17 15:17 - Jean-Philippe Lang

Fixes:

email notifications: host name is missing in generated links (#639, #201)

email notifications: referenced changesets, wiki pages, attachments... are not turned into links (only ticket ids are)

attachment links and inline images don't work in issue notes

History

#1 - 2008-02-12 17:51 - Thomas Lecavelier

Correction: it was not an automatic notification from redmine, but a free comment from Jos Yule in the issue #443. See its comment (

http://www.redmine.org/issues/show/443#note-10).

The problem resentenced:

A reference to an issue in the redmine issue interface is Ok, but when redmine notify the new comment by mail (HTML format), the server + project

part of the URL is missing.

(I bet that my references to #443 here will fall in the same issue once notified by mail).

#2 - 2008-02-17 15:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r1161.
